org.apache.flume.instrumentation

## Class SourceCounter

- java.lang.Object
- - org.apache.flume.instrumentation.MonitoredCounterGroup
  - - org.apache.flume.instrumentation.SourceCounter

- All Implemented Interfaces:
    SourceCounterMBean
  Direct Known Subclasses:
    KafkaSourceCounter

      public class SourceCounter
      extends MonitoredCounterGroup
      implements SourceCounterMBean

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.flume.instrumentation.MonitoredCounterGroup

      `MonitoredCounterGroup.Type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SourceCounter(String name)`
    `SourceCounter(String name, String[] attributes)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `addToEventAcceptedCount(long delta)`
    `long` | `addToEventReceivedCount(long delta)`
    `long` | `getAppendAcceptedCount()`
    `long` | `getAppendBatchAcceptedCount()`
    `long` | `getAppendBatchReceivedCount()`
    `long` | `getAppendReceivedCount()`
    `long` | `getEventAcceptedCount()`
    `long` | `getEventReceivedCount()`
    `long` | `getOpenConnectionCount()`
    `long` | `incrementAppendAcceptedCount()`
    `long` | `incrementAppendBatchAcceptedCount()`
    `long` | `incrementAppendBatchReceivedCount()`
    `long` | `incrementAppendReceivedCount()`
    `long` | `incrementEventAcceptedCount()`
    `long` | `incrementEventReceivedCount()`
    `void` | `setOpenConnectionCount(long openConnectionCount)`

    - ### Methods inherited from class org.apache.flume.instrumentation.MonitoredCounterGroup

      `addAndGet, get, getStartTime, getStopTime, getType, increment, set, start, stop, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.flume.instrumentation.SourceCounterMBean

      `getStartTime, getStopTime, getType`

- - ### Constructor Detail

    - #### SourceCounter

          public SourceCounter(String name)

    - #### SourceCounter

          public SourceCounter(String name,
                       String[] attributes)

  - ### Method Detail

    - #### getEventReceivedCount

          public long getEventReceivedCount()

      Specified by:
        `getEventReceivedCount` in interface `SourceCounterMBean`

    - #### incrementEventReceivedCount

          public long incrementEventReceivedCount()

    - #### addToEventReceivedCount

          public long addToEventReceivedCount(long delta)

    - #### getEventAcceptedCount

          public long getEventAcceptedCount()

      Specified by:
        `getEventAcceptedCount` in interface `SourceCounterMBean`

    - #### incrementEventAcceptedCount

          public long incrementEventAcceptedCount()

    - #### addToEventAcceptedCount

          public long addToEventAcceptedCount(long delta)

    - #### getAppendReceivedCount

          public long getAppendReceivedCount()

      Specified by:
        `getAppendReceivedCount` in interface `SourceCounterMBean`

    - #### incrementAppendReceivedCount

          public long incrementAppendReceivedCount()

    - #### getAppendAcceptedCount

          public long getAppendAcceptedCount()

      Specified by:
        `getAppendAcceptedCount` in interface `SourceCounterMBean`

    - #### incrementAppendAcceptedCount

          public long incrementAppendAcceptedCount()

    - #### getAppendBatchReceivedCount

          public long getAppendBatchReceivedCount()

      Specified by:
        `getAppendBatchReceivedCount` in interface `SourceCounterMBean`

    - #### incrementAppendBatchReceivedCount

          public long incrementAppendBatchReceivedCount()

    - #### getAppendBatchAcceptedCount

          public long getAppendBatchAcceptedCount()

      Specified by:
        `getAppendBatchAcceptedCount` in interface `SourceCounterMBean`

    - #### incrementAppendBatchAcceptedCount

          public long incrementAppendBatchAcceptedCount()

    - #### getOpenConnectionCount

          public long getOpenConnectionCount()

      Specified by:
        `getOpenConnectionCount` in interface `SourceCounterMBean`

    - #### setOpenConnectionCount

          public void setOpenConnectionCount(long openConnectionCount)

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.